# 32/64bit spec-file
#
%define name		starfield-wallpaper
%define version		0.4.2
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Animated starfield wallpaper for KDE
URL:			http://kde-apps.org/content/show.php/Star+Field+Plasma+Wallpaper?content=105973
Group:			Graphical desktop/KDE4
License:		GPL
Source:			%{name}-%{version}.tar.xz
BuildRequires: 		kde-workspace-devel
Requires:		kde-workspace >= 4.9
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
DreamDesktop is an animated wallpaper designed for the environment KDE 4.

%prep
%setup -q

%build
%cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ../src/
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std -C build

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_libdir/kde4/plasma_wallpaper_starfield.so
%_datadir/kde4/services/plasma-wallpaper-starfield.desktop

%changelog
* Wed Apr 17 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.2-1_archie_2012
- Create package
